Check fonts in a PPTX
curl --request POST \
--url https://api.presenton.ai/api/v2/ppt/fonts/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form pptx_file='@example-file'import requests
url = "https://api.presenton.ai/api/v2/ppt/fonts/check"
files = { "pptx_file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('pptx_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.presenton.ai/api/v2/ppt/fonts/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available_fonts": [
{
"name": "<string>",
"url": "<string>",
"original_name": "<string>",
"family_name": "<string>",
"variant": "<string>",
"variants": [
"<string>"
]
}
],
"unavailable_fonts": [
{
"name": "<string>",
"url": "<string>",
"original_name": "<string>",
"family_name": "<string>",
"variant": "<string>",
"variants": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cloud API
Check fonts in a PPTX
Inspect a reference PPTX and report fonts that are available or require uploaded font files.
POST
/
api
/
v2
/
ppt
/
fonts
/
check
Check fonts in a PPTX
curl --request POST \
--url https://api.presenton.ai/api/v2/ppt/fonts/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form pptx_file='@example-file'import requests
url = "https://api.presenton.ai/api/v2/ppt/fonts/check"
files = { "pptx_file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('pptx_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.presenton.ai/api/v2/ppt/fonts/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available_fonts": [
{
"name": "<string>",
"url": "<string>",
"original_name": "<string>",
"family_name": "<string>",
"variant": "<string>",
"variants": [
"<string>"
]
}
],
"unavailable_fonts": [
{
"name": "<string>",
"url": "<string>",
"original_name": "<string>",
"family_name": "<string>",
"variant": "<string>",
"variants": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Was this page helpful?
⌘I